WeBid Bug Tracking

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000265WeBidAuctionspublic2011-04-19 16:192015-05-24 10:18
ReporterRuss 
Assigned Torenlok 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.0.2 
Target VersionFixed in Version1.0.3 
Summary0000265: Edit Active Listing, Change Category, Problem
DescriptionWhen editing a current listing > Change Category All listing information disappears after Category change. Script treats the "Change Category" like listing new item.
TagsNo tags attached.
import_id267
Thread
Attached Files

- Relationships

-  Notes
(0000667)
laura458 (reporter)
2011-04-19 17:41
edited on: 1970-01-01 00:00

When I change the category listing, it DOES go into the NEW category I chose, but it doesn't display it in the amount of items in that category. Also, it keeps the amount in the OLD category so when you click on that category it says no items found.

In other words:
I have a listing in ART. I decide to change it to COMPUTERS. I go to the home page and where the category listings are, it will say there is 1 item listed in ART, but when I click on that category, it says no items found.
BUT, the category COMPUTERS displays 0 listings. I click on computers and there is my item.
(0000668)
Russ (reporter)
2011-04-19 18:09
edited on: 1970-01-01 00:00

So, on 1.0.2 you don't duplicate my problem, correct? However, you DO have an issue with the item counts in the categories? If I understand correctly I think BoxLot has addressed this issue here: http://www.webidsupport.com/forums/project.php?issueid=166[/url] [^]

Wondering if anyone else can duplicate my problem?
(0000669)
Box Lot (reporter)
2011-04-19 18:19
edited on: 1970-01-01 00:00

I did. 1.0.2.
(0000670)
laura458 (reporter)
2011-04-19 19:04
edited on: 1970-01-01 00:00

Russ wrote

So, on 1.0.2 you don't duplicate my problem, correct? However, you DO have an issue with the item counts in the categories? If I understand correctly I think BoxLot has addressed this issue here: http://www.webidsupport.com/forums/project.php?issueid=166[/url] [^]

Wondering if anyone else can duplicate my problem?

I'm using 1.01, and can replicate it somewhat, but it doesn't TOTALLY disappear from the site and does go into the re-chosen category, just doesn't show the number amount listed in the category menu and doesn't delete the number amount from the category it was originally listed in. I can, without a problem, re list the item and put it into the original category.
(0000671)
Box Lot (reporter)
2011-04-19 20:26
edited on: 1970-01-01 00:00

Ok, I HAVE NOT TESTED THIS AND IT NEEDS TO BE HEAVILY TESTED but seems to be right. Lots of combinations so cursory testing will not do and also straight new listings should be tried to make sure nothing breaks.

Version 1.0.2, select_category.php on/about line 99:

Find:
Someone wrote

unset($_SESSION['UPLOADED_PICTURES_SIZE']);
    $_SESSION['SELL_starts'] = '';
    $_SESSION['UPLOADED_PICTURES'] = array();
    $_SESSION['SELL_with_reserve'] = '';
    $_SESSION['SELL_reserve_price'] = '';
    $_SESSION['SELL_minimum_bid'] = '';
    $_SESSION['SELL_file_uploaded'] = '';
    $_SESSION['SELL_title'] = '';
    $_SESSION['SELL_subtitle'] = '';
    $_SESSION['SELL_description'] = '';
    $_SESSION['SELL_pict_url'] = '';
    $_SESSION['SELL_pict_url_temp'] = '';
    $_SESSION['SELL_atype'] = '';
    $_SESSION['SELL_iquantity'] = '';
    $_SESSION['SELL_with_buy_now'] = '';
    $_SESSION['SELL_buy_now_price'] = '';
    $_SESSION['SELL_duration'] = '';
    $_SESSION['SELL_relist'] = '';
    $_SESSION['SELL_increments'] = '';
    $_SESSION['SELL_customincrement'] = 0;
    $_SESSION['SELL_shipping'] = '';
    $_SESSION['SELL_shipping_terms'] = '';
    $_SESSION['SELL_payment'] = '';
    $_SESSION['SELL_international'] = '';
    $_SESSION['SELL_buy_now_only'] = '';
    $_SESSION['SELL_action'] = '';
    $_SESSION['SELL_shipping_cost'] = 0;
    $_SESSION['SELL_is_bold'] = 'n';
    $_SESSION['SELL_is_highlighted'] = 'n';
    $_SESSION['SELL_is_featured'] = 'n';
    $_SESSION['SELL_start_now'] = '1';
}


Replace with:
Someone wrote

unset($_SESSION['UPLOADED_PICTURES_SIZE']);
    (isset($_POST['a_starts'])) ? $_POST['a_starts'] : $_SESSION['SELL_starts'];
    (isset($_SESSION['UPLOADED_PICTURES'])) ? $_SESSION['UPLOADED_PICTURES'] : array();
    (isset($_POST['with_reserve'])) ? $_POST['with_reserve'] : $_SESSION['SELL_with_reserve'];
    (isset($_POST['reserve_price'])) ? $_POST['reserve_price'] : $_SESSION['SELL_reserve_price'];
    (isset($_POST['SELL_minimum_bid'])) ? $_POST['SELL_minimum_bid'] : $_SESSION['SELL_minimum_bid'];
    (isset($_POST['SELL_file_uploaded'])) ? $_POST['SELL_file_uploaded'] : $_SESSION['SELL_file_uploaded'];
    (isset($_POST['title'])) ? $_POST['title'] : $_SESSION['SELL_title'];
    (isset($_POST['subtitle'])) ? $_POST['subtitle'] : $_SESSION['SELL_subtitle'];
    (isset($_POST['description'])) ? $_POST['description'] : $_SESSION['SELL_description'];
    (isset($_POST['pict_url'])) ? $_POST['pict_url'] : $_SESSION['SELL_pict_url'];
    $_SESSION['SELL_pict_url_temp'] = '';
    (isset($_POST['atype'])) ? $_POST['atype'] : $_SESSION['SELL_atype'];
    (int)(isset($_POST['iquantity'])) ? $_POST['iquantity'] : $_SESSION['SELL_iquantity'];
    (isset($_POST['buy_now'])) ? $_POST['buy_now'] : $_SESSION['SELL_with_buy_now'];
    (isset($_POST['buy_now_price'])) ? $_POST['buy_now_price'] : $_SESSION['SELL_buy_now_price'];
    (isset($_POST['duration'])) ? $_POST['duration'] : $_SESSION['SELL_duration'];
    (isset($_POST['autorelist'])) ? $_POST['autorelist'] : $_SESSION['SELL_relist'];
    (isset($_POST['increments'])) ? $_POST['increments'] : $_SESSION['SELL_increments'];
    (isset($_POST['customincrement'])) ? $_POST['customincrement'] : $_SESSION['SELL_customincrement'];
    
    (isset($_POST['shipping'])) ? $_POST['shipping'] : $_SESSION['SELL_shipping'];
    (isset($_POST['shipping_terms'])) ? $_POST['shipping_terms'] : $_SESSION['SELL_shipping_terms'];
    (isset($_POST['payment'])) ? $_POST['payment'] : $_SESSION['SELL_payment'];
    (isset($_POST['international'])) ? $_POST['international'] : $_SESSION['SELL_international'];
    (isset($_POST['buy_now_only'])) ? $_POST['buy_now_only'] : $_SESSION['SELL_buy_now_only'];
    if ($_SESSION['SELL_action'] == 'edit')
    {
        global $user;

        $query = "SELECT current_fee FROM " . $DBPrefix . "auctions WHERE id = " . $_SESSION['SELL_auction_id'] . " AND user = " . $user->user_data['id'];
        $res = mysql_query($query);
        $system->check_mysql($res, $query, __LINE__, __FILE__);
        $fee_value = bcsub($fee_value, mysql_result($res, 0), $system->SETTINGS['moneydecimals']);
        if ($fee_value < 0)
        {
            $fee_value = 0;
        }
    }
    (isset($_POST['shipping_cost'])) ? $_POST['shipping_cost'] : $_SESSION['SELL_shipping_cost'];
    (isset($_POST['is_bold'])) ? 'y' : $_SESSION['SELL_is_bold'];
    (isset($_POST['is_highlighted'])) ? 'y' : $_SESSION['SELL_is_highlighted'];
    (isset($_POST['is_featured'])) ? 'y' : $_SESSION['SELL_is_featured'];
    (isset($_POST['SELL_start_now'])) ? '1' : $_SESSION['SELL_is_featured'];
}


Again, I threw this together pretty quickly and though it looks right someone has to finish up with testing.
(0000672)
laura458 (reporter)
2011-04-19 20:41
edited on: 1970-01-01 00:00

Doesn't work in 1.01. Still get the same as my post previously.
(0000673)
Box Lot (reporter)
2011-04-19 20:53
edited on: 2011-04-19 20:55

Your issue almost sounds different to me laura? You talk about it disappearing from the SITE (and counters issue).

This is when you edit an existing auction and simply change the category. In doing so ALL of the original items information is/was erased as if you were starting a new sale.

I really don't have a lot of involved time right now but seems to work on mine. I'm on 1.0.2 (as you should be if your live!).

If your editing to change category and the items information still shows then you don't have this issue.
(0000684)
Russ (reporter)
2011-04-19 22:44
edited on: 1970-01-01 00:00

Just did an initial test and it works perfectly now. I'll go at it from a few more angles tonight and see if I can break it!

Thanks Box!
(0000685)
laura458 (reporter)
2011-04-19 23:21
edited on: 2011-04-19 23:25

Box Lot wrote

Your issue almost sounds different to me laura? You talk about it disappearing from the SITE (and counters issue).

This is when you edit an existing auction and simply change the category. In doing so ALL of the original items information is/was erased as if you were starting a new sale.

I really don't have a lot of involved time right now but seems to work on mine. I'm on 1.0.2 (as you should be if your live!).

If your editing to change category and the items information still shows then you don't have this issue.



O.K., I just edited to change the categories, it does NOT disappear from the site, never did, all the item information stays and is good, but does NOT show that the item is listed in the new category (i.e. the counter shows nothing for the category the item was moved to) even though it did move, without any hitches, and if I go to that category it is there. The OLD category the item WAS in, still shows on the counter it is there, even though it was moved. Maybe I am not explaining it right for anyone to understand what I mean. I AM blond....
(0000686)
Box Lot (reporter)
2011-04-19 23:29
edited on: 1970-01-01 00:00

No, just because only part of it was related to the issue and I wasn't sure you were testing the right thing.

Not sure how your information is sticking when changing category of an existing auction and resubmitting Laura but that's good. Really shouldn't though the way it's set now?!

As for the counter issue that is cron related, have your run it?
(0000687)
Russ (reporter)
2011-04-19 23:39
edited on: 1970-01-01 00:00

First Issue with the fix. Upon creating a NEW listing the "new" listing has retained the images of the listing I changed the categories on "You already uploaded X files ". I am going to go clear all cache and try again.
(0000688)
Russ (reporter)
2011-04-19 23:43
edited on: 1970-01-01 00:00

Clearing cache didn't help. Retains previous item image(s).
(0000689)
Box Lot (reporter)
2011-04-19 23:43
edited on: 2011-04-19 23:44

Ok. Session cookie dealy

On/around line 94.

After:
Someone wrote

$POST['cat' . ($i - 1)] = $crumbs[$i]['cat_id'];
add essentially the same thing:
Someone wrote

unset($_SESSION['UPLOADED_PICTURES_SIZE']);
    (isset($_POST['a_starts'])) ? $_POST['a_starts'] : $_SESSION['SELL_starts'];
    (isset($_SESSION['UPLOADED_PICTURES'])) ? $_SESSION['UPLOADED_PICTURES'] : array();
    (isset($_POST['with_reserve'])) ? $_POST['with_reserve'] : $_SESSION['SELL_with_reserve'];
    (isset($_POST['reserve_price'])) ? $_POST['reserve_price'] : $_SESSION['SELL_reserve_price'];
    (isset($_POST['SELL_minimum_bid'])) ? $_POST['SELL_minimum_bid'] : $_SESSION['SELL_minimum_bid'];
    (isset($_POST['SELL_file_uploaded'])) ? $_POST['SELL_file_uploaded'] : $_SESSION['SELL_file_uploaded'];
    (isset($_POST['title'])) ? $_POST['title'] : $_SESSION['SELL_title'];
    (isset($_POST['subtitle'])) ? $_POST['subtitle'] : $_SESSION['SELL_subtitle'];
    (isset($_POST['description'])) ? $_POST['description'] : $_SESSION['SELL_description'];
    (isset($_POST['pict_url'])) ? $_POST['pict_url'] : $_SESSION['SELL_pict_url'];
    $_SESSION['SELL_pict_url_temp'] = '';
    (isset($_POST['atype'])) ? $_POST['atype'] : $_SESSION['SELL_atype'];
    (int)(isset($_POST['iquantity'])) ? $_POST['iquantity'] : $_SESSION['SELL_iquantity'];
    (isset($_POST['buy_now'])) ? $_POST['buy_now'] : $_SESSION['SELL_with_buy_now'];
    (isset($_POST['buy_now_price'])) ? $_POST['buy_now_price'] : $_SESSION['SELL_buy_now_price'];
    (isset($_POST['duration'])) ? $_POST['duration'] : $_SESSION['SELL_duration'];
    (isset($_POST['autorelist'])) ? $_POST['autorelist'] : $_SESSION['SELL_relist'];
    (isset($_POST['increments'])) ? $_POST['increments'] : $_SESSION['SELL_increments'];
    (isset($_POST['customincrement'])) ? $_POST['customincrement'] : $_SESSION['SELL_customincrement'];
    
    (isset($_POST['shipping'])) ? $_POST['shipping'] : $_SESSION['SELL_shipping'];
    (isset($_POST['shipping_terms'])) ? $_POST['shipping_terms'] : $_SESSION['SELL_shipping_terms'];
    (isset($_POST['payment'])) ? $_POST['payment'] : $_SESSION['SELL_payment'];
    (isset($_POST['international'])) ? $_POST['international'] : $_SESSION['SELL_international'];
    (isset($_POST['buy_now_only'])) ? $_POST['buy_now_only'] : $_SESSION['SELL_buy_now_only'];
    if ($_SESSION['SELL_action'] == 'edit')
    {
        global $user;

        $query = "SELECT current_fee FROM " . $DBPrefix . "auctions WHERE id = " . $_SESSION['SELL_auction_id'] . " AND user = " . $user->user_data['id'];
        $res = mysql_query($query);
        $system->check_mysql($res, $query, __LINE__, __FILE__);
        $fee_value = bcsub($fee_value, mysql_result($res, 0), $system->SETTINGS['moneydecimals']);
        if ($fee_value < 0)
        {
            $fee_value = 0;
        }
    }
    (isset($_POST['shipping_cost'])) ? $_POST['shipping_cost'] : $_SESSION['SELL_shipping_cost'];
    (isset($_POST['is_bold'])) ? 'y' : $_SESSION['SELL_is_bold'];
    (isset($_POST['is_highlighted'])) ? 'y' : $_SESSION['SELL_is_highlighted'];
    (isset($_POST['is_featured'])) ? 'y' : $_SESSION['SELL_is_featured'];
    (isset($_POST['SELL_start_now'])) ? '1' : $_SESSION['SELL_is_featured'];
Then test, test, test.
(0000690)
laura458 (reporter)
2011-04-19 23:46
edited on: 1970-01-01 00:00

Box Lot wrote

No, just because only part of it was related to the issue and I wasn't sure you were testing the right thing.

Not sure how your information is sticking when changing category of an existing auction and resubmitting Laura but that's good. Really shouldn't though the way it's set now?!

As for the counter issue that is cron related, have your run it?


I never ran the cron, just let it do it's thing at the end of the monthly maintenance. I have my site set in non batch, always have. But, I did set the cron to run every 31 days to delete old auctions. In the default script settings, it was set for 30 days.

The information staying when I edit an auction never gave me a problem, EXCEPT when that number error showed up, but that was fixed with an post from this site.
(0000691)
Russ (reporter)
2011-04-20 00:30
edited on: 1970-01-01 00:00

Help me out Box. Should I disregard the first fix and do the second fix on a fresh Version 1.0.2, select_category.php? Or, do I need to use BOTH fixes?
(0000692)
Box Lot (reporter)
2011-04-20 00:49
edited on: 1970-01-01 00:00

Both.
(0000693)
Russ (reporter)
2011-04-20 00:50
edited on: 1970-01-01 00:00

I tried it both ways.

Starting with a fresh Version 1.0.2, select_category.php and doing only the second fix, we are back to the original problem which prompted this post.

With BOTH fixes installed the categories can be edited perfectly, however when you attempt to add a NEW listing, the previous image problem is back. "You already uploaded X files"
(0000694)
Box Lot (reporter)
2011-04-20 03:42
edited on: 1970-01-01 00:00

Sorry Russ, I know you just got back so to speak and hate to leave you hanging but I didn't intend for this to be a until solved kind of thing. The only reason I broke my current rule of not testing until others get involved in a big way is because you hit the ground running.

The logic in the a file appears to be a little weird and not working right but I've spent hours on it I didn't plan to and I just can't afford that right now. I'm too distracted to see it clearly and I'm sure it's something simple since the basics work.

What I put down is a good base and the if/then logic there needs to be stepped through and validated since it doesn't seem to hold when listing a new item versus editing and existing one.
(0000695)
laura458 (reporter)
2011-04-20 04:09
edited on: 1970-01-01 00:00

Russ wrote

So, on 1.0.2 you don't duplicate my problem, correct? However, you DO have an issue with the item counts in the categories? If I understand correctly I think BoxLot has addressed this issue here: http://www.webidsupport.com/forums/project.php?issueid=166[/url] [^]

Wondering if anyone else can duplicate my problem?


This is just a thought. I DID have a similar problem when relisting an auction from the admin panel, or when relisting an auction from the user panel. Maybe the fix has something to do with this post?
http://www.webidsupport.com/forums/project.php?issueid=245[/url] [^]

The item number would show up instead of the description and images.
(0000696)
Russ (reporter)
2011-04-20 04:33
edited on: 1970-01-01 00:00

Totally cool Box. I was actually surprised with your quick response. I know you are busy, as am I. I'll keep testing and knockin' about. I found a bunch of other stuff but they all are reported and "in the works" already. I know you have untold hours in this deal. It IS appreciated!

Laura, thanks for the ref. I'll check it out!

Russ
(0000697)
Box Lot (reporter)
2011-04-20 06:09
edited on: 1970-01-01 00:00

Well though it's somewhat unlikely (not many change their category once listed) this one is kind of important in terms of expected basic functions and I thought we were all but done but of course testing has been severely lacking again.

Well I have it now so everything but the picture works but for some reason the logic of a new listing versus an edit doesn't seem to work as I would expect it to. Because of that it really doesn't make sense how I got it to work with the other fields but as both you and I see it does. Usually now I can see the whole "picture" but this one is eluding me for probably a super simple reason.
(0000680)
laura458 (reporter)
2011-04-23 14:44
edited on: 1970-01-01 00:00

OK, here's something strange...I can change the item category, with NO problems, from the ADMIN panel. It goes to the new category, and on the listings pages, everything posts as it should, even shows the correct count number from the category listing on the main page.
Unfortunately, changing the category from the USER panel, or clicking edit this auction from the item listing itself as the USER, still shows the number of items in that category the same, even though the listing was moved.

- Issue History
Date Modified Username Field Change
2015-04-01 13:17 renlok New Issue
2015-04-01 13:17 renlok import_id => 267
2015-04-01 13:17 renlok Date Submitted 2015-04-01 13:17 => 2011-04-19 16:19
2015-04-01 13:17 renlok Last Update 2015-04-01 13:17 => 2011-04-23 14:44
2015-05-24 10:18 renlok Status new => closed
2015-05-24 10:18 renlok Assigned To => renlok
2015-05-24 10:18 renlok Resolution open => fixed
2015-05-24 10:18 renlok Fixed in Version => 1.0.3


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker